%define name	klear
%define version	0.6.1
%define release %mkrel 1

%define section Multimedia/Video
%define title	klear
%define summary KDE Desktop application for watching DVB-C/T/S

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
Source0:	http://www.klear.org/sources/%{name}-%{version}.tar.bz2
Group:		Video
BuildRequires:	kdelibs-devel 
BuildRequires:	libxine-devel
BuildRequires:	libdvbpsi-devel
BuildRequires:  scons
BuildRequires:	libxtst-devel
URL:		http://www.klear.org
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL

%description
Klear is a KDE application for recording video streams from your DVB
device and watching TV with all advantages of digital television (like
EPG, OSD, and so on). It runs under Linux with the usage of the KDE/QT
GUI-Framework from Trolltech. It uses a flexible video engine for playback.
An engine with libXine is included. It supports almost all DVB devices
supported by Linux, including all budget devices.

%prep
%setup -q

%build

%if "%{_lib}" == "lib64"
scons libsuffix=64
%else
scons
%endif

DESTDIR=%{buildroot} scons  install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="Video" \
  --add-category="Player" \
  --dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applnk/Multimedia/*

rm -fr %{buildroot}%{_datadir}/applnk/Multimedia/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc distfiles/README distfiles/changelog distfiles/COPYING distfiles/AUTHORS distfiles/BUGS
%{_bindir}/*
%{_datadir}/applications/kde/klear.desktop
%dir %{_datadir}/apps/klear
%{_datadir}/apps/klear/media
%{_iconsdir}/hicolor/16x16/apps/klear.png
%{_iconsdir}/hicolor/32x32/apps/klear.png
%{_iconsdir}/hicolor/48x48/apps/klear.png


%changelog
* Sun Jul 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 54483
- remove X-MandrivaLinux
- provide only icons from fdo compiliant directories
- some minor clean in spec file
- new version

  + Funda Wang <fundawang@mandriva.org>
    - Fix buildrequires

* Sun Jun 03 2007 Funda Wang <fundawang@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 34881
- New version


* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.4-1mdv2007.0
- XDG
- Use macro for icons

* Thu Jan 26 2006 Laurent MONTEL <lmontel@mandriva.com> 0.5.4-1
- 0.5.4

* Fri Nov 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-2mdk
- Fix BuildRequires ( scons )

* Thu Nov 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-1mdk
- New release 0.5.3

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- New release 0.5.0

* Mon Sep 12 2005 Marcel Pol <mpol@mandriva.org> 0.4.1-1mdk
- From AndyRTR <rpm@mandrivauser.de>
  - 0.4.1
  - drop patch1

* Thu Sep 01 2005 Marcel Pol <mpol@mandriva.org> 0.4-4mdk
- first cooker upload
- fix buildrequires

* Mon Aug 29 2005 Andreas Radke <andyrtr@laptop.home> 0.4-3mdk
- patch1 config.patch

* Sun Aug 28 2005 AndyRTR <rpm@mandrvauser.de> 0.4-2mdk
- initial cooker package
- added libdvbpsi4-devel to build-requires

* Thu Aug 25 2005 AndyRTR <rpm@mandrivauser.de> 0.4-1mud
- 0.4
- readded qmake
- added extra-path for configure

* Sat Jul 30 2005 AndyRTR <andreas.radke@freenet.de> 0.3-2rtr
- rebuild for new xine

* Fri Jul 15 2005 AndyRTR <andreas.radke@freenet.de> 0.3-1rtr
- 0.3
- changed description
- added large icon

* Tue Jul 05 2005 AndyRTR <andreas.radke@freenet.de> 0.2-1rtr
- 0.2
- makefile workaround
- fixed installation process using %%configure

* Thu Jun 30 2005 AndyRTR <andreas.radke@freenet.de> 0.2-0.20050630.1rtr
- CVS-20050630 with new features
- added %%mkrel

* Thu Jun 16 2005 AndyRTR <andreas.radke@freenet.de> 0.1-1rtr
- 0.1

* Mon Jun 13 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc2.1rtr
- 0.1RC2

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.3rtr
- CVS-20050528

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.2rtr
- CVS-20050526 with gcc-fix, static icons

* Wed May 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.rc1.1rtr
- 0.1RC1

* Mon Apr 25 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha4.2andyrtr
- rebuild for Mandriva 2005LE

* Thu Feb 03 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha4.1andyrtr
- new version

* Mon Jan 31 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha3.2andyrtr
- menu integration

* Sun Jan 30 2005 AndyRTR <andreas.radke@freenet.de> 0.1-0.alpha3.2andyrtr
- Specfile adaptions for Mandrake
- rebuild along the Mandrake-RpmHowTo

* Sun Jan 09 2005 AndyRTR <andreas.radke@freenet.de> 0.1-1andyrtr
- innitial release made with checkinstall

